# Get hotel ancillaries Retrieves available ancillaries (add-ons, extras, services) for a selected hotel booking. Ancillaries may include breakfast, parking, early check-in, late checkout, spa services, and other optional services. Endpoint: POST /v2/hotel/ancillaries Version: v2 Security: Bearer ## Request fields (application/json): - `priceValidateKey` (string, required) The unique price validate key for the selected hotel rate. ## Response 200 fields (application/json): - `ancillaries` (array) List of available ancillaries for the selected hotel booking. - `ancillaries.ancillaryKey` (string, required) Unique identifier for the ancillary service. - `ancillaries.category` (string, required) Type of ancillary. Enum: "ANCILLARY_UNKNOWN", "EARLY_CHECKIN", "LATE_CHECKOUT", "WIFI", "BREAKFAST", "PARKING", "PETS", "MEAL_PLAN", "OTHER" - `ancillaries.displayName` (string, required) Display name of ancillary. - `ancillaries.description` (string) Detailed description of ancillary. - `ancillaries.dailyPrice` (object, required) Per day price of ancillary. - `ancillaries.dailyPrice.amount` (number, required) The numeric value for the amount of money. Example: 510 - `ancillaries.dailyPrice.currencyCode` (string, required) The 3-letter currency code for the money amount (defined using ISO 4217 standard). Example: "GBP" - `ancillaries.dailyPrice.convertedAmount` (number) The converted currency and amount that has been converted (if a currency conversion has been requested). For example, if the call requests that money be sent in a specified currency (because the frontend requested the backend to send money in the user's preferred currency). Example: 715.42 - `ancillaries.dailyPrice.convertedCurrency` (string) The 3-letter currency code for the converted currency (defined using ISO 4217 standard). Example: "USD" - `ancillaries.dailyPrice.otherCoinage` (array) List of the dollar amount in other coinage systems like reward points, cryptocurrency etc. - `ancillaries.dailyPrice.otherCoinage.coinageCode` (string) Payment method Enum: "PAYMENT_METHOD_UNKNOWN", "CREDIT_CARD", "BREX_POINTS", "CASH", "QANTAS_POINTS", "VENDOR_PROGRAM_PAYMENT", "DELAYED_INVOICING", "FLIGHT_CREDITS", "QANTAS_TRAVEL_FUND", "CUSTOM_VIRTUAL_PAYMENT", "FLIGHT_PASS", "MISCELLANEOUS_CREDIT_ORDER", "NO_PREPAYMENT" - `ancillaries.dailyPrice.otherCoinage.amount` (number) Example: 1000 - `ancillaries.dailyPrice.otherCoinage.conversionRate` (number) 1 coin in this system equals to how many currency value Example: 0.01 - `ancillaries.dailyPrice.otherCoinage.preferredCurrencyConversionRate` (number) 1 coin in this system equals to how many currency value Example: 0.01 - `ancillaries.dailyPrice.otherCoinage.otherCoinageMetadata` (any) Metadata to store additional information related to the payment method - `ancillaries.totalPrice` (object, required) Total price for the entire stay. - `ancillaries.refundability` (string, required) Refundability information about the ancillary. Enum: "REFUNDABILITY_UNKNOWN", "FULLY_REFUNDABLE", "PARTIALLY_REFUNDABLE", "NON_REFUNDABLE" - `ancillaries.purchaseStatus` (string, required) Purchase status of the ancillary. Enum: "PURCHASE_STATUS_UNKNOWN", "AVAILABLE", "ALREADY_PURCHASED", "INCLUDED_IN_RATE" - `ancillaries.paymentType` (string, required) Payment type for the ancillary. Enum: "PAYMENT_TYPE_UNKNOWN", "PREPAID", "POSTPAID" - `ancillaries.totalRate` (object) Total rate breakdown of the ancillary service. - `ancillaries.totalRate.base` (object, required) Base amount - `ancillaries.totalRate.tax` (object, required) Tax - `ancillaries.totalRate.roomFees` (array) - `ancillaries.totalRate.roomFees.amount` (object, required) Fees amount - `ancillaries.totalRate.roomFees.feeInclusions` (array) Amenities included as part of the fee - `ancillaries.totalRate.roomFees.displayFee` (boolean) Flag to determine whether to explicitly show this fee type on UI - `ancillaries.totalRate.roomFees.feeType` (string) Fees Type Enum: "UNKNOWN", "BED_TAX", "CITY_HOTEL_FEE", "CITY_TAX", "COUNTRY_TAX", "ENERGY_TAX", "FEDERAL_TAX", "FOOD_AND_BEVERAGE_TAX", "LODGING_TAX", "MAINTENANCE_FEE", "OCCUPANCY_TAX", "PACKAGE_FEE", "RESORT_FEE", "SALES_TAX", "SERVICE_CHARGE", "STATE_TAX", "SURCHARGE", "TOTAL_TAX", "TOURISM_TAX", "VAT_GST_TAX", "SURPLUS_LINES_TAX", "INSURANCE_PREMIUM_TAX", "APPLICATON_FEE", "EXPRESS_HANDLING_FEE", "EXEMPT", "STANDARD", "ZERO_RATED", "MISCELLANEOUS", "ROOM_TAX", "EARLY_CHECKOUT_FEE", "COUNTRY_TAXES", "EXTRA_PERSON_CHARGE", "BANQUET_SERVICE_FEE", "ROOM_SERVICE_FEE", "LOCAL_FEE", "GOODS_AND_SERVICES_TAX", "VALUE_ADDED_TAX", "CRIB_FEE", "ROLLAWAY_FEE", "ASSESSMENT_LICENSE_TAX", "PET_SANITATION_FEE", "NOT_KNOWN", "CHILD_ROLLAWAY_CHARGE", "CONVENTION_TAX", "EXTRA_CHILD_CHARGE", "STANDARD_FOOD_AND_BEVERAGE_GRATUITY", "NATIONAL_GOVERNMENT_TAX", "ADULT_ROLLAWAY_FEE", "BEVERAGE_WITH_ALCOHOL", "BEVERAGE_WITHOUT_ALCOHOL", "TOBACCO", "FOOD", "TOTAL_SURCHARGES", "STATE_COST_RECOVERY_FEE", "MISCELLANEOUS_FEE", "DESTINATION_AMENITY_FEE", "REFUNDABLE_PET_FEE", "CHARITY_SUPPORT_FEE", "LOCAL_AMENITY_USAGE_MAINTENANCE_FEE", "CONVENTION_TOURISM_FEE", "DESTINATION_MARKETING_FEE", "HOTEL_DEVELOPMENT_FEE", "EVENT_FEE", "SUSTAINABILITY_FEE", "TRANSPORTATION_TRANSFER_FEE", "INSURANCE_FEE", "LOCAL_GOVERNMENT_FEE", "LOCAL_ORDINANCE_SURCHARGE", "GUARANTEED_EARLY_CHECK_IN_FEE", "GUARANTEED_LATE_CHECK_OUT_FEE", "MODIFICATION_FEE", "HOTEL_ANCILLARY_EARLY_CHECK_IN_FEE", "HOTEL_ANCILLARY_LATE_CHECK_OUT_FEE", "HOTEL_ANCILLARY_PET_FEE", "HOTEL_ANCILLARY_WIFI_FEE", "HOTEL_ANCILLARY_BREAKFAST_FEE", "HOTEL_ANCILLARY_PARKING_FEE", "HOTEL_ANCILLARY_MEAL_PLAN_FEE", "ACCESSIBILITY_EQUIPMENT_FEE", "TOURISM_MARKETING_FEE" - `ancillaries.totalRate.commission` (object) Commission - `ancillaries.totalRate.commission.amount` (object, required) Commission amount - `ancillaries.totalRate.commission.commissionPercent` (number) Commission percentage Example: 7.5 - `ancillaries.totalRate.taxBreakdown` (array) Tax breakdown - `ancillaries.totalRate.taxBreakdown.amount` (object, required) Tax amount - `ancillaries.totalRate.taxBreakdown.taxCode` (string) Tax code Example: "VAT" - `ancillaries.totalRate.taxBreakdown.percentage` (number) Tax amount to total amount Example: 9 - `ancillaries.totalRate.includesCommission` (boolean) Whether the rate includes commission - `ancillaries.prepaidRate` (object) Prepaid rate breakdown of the ancillary service. - `ancillaries.postpaidRate` (object) Postpaid rate breakdown of the ancillary service. - `ancillaries.status` (string) Status of the ancillary service. Enum: "ANCILLARY_STATUS_UNKNOWN", "ACTIVE", "CANCELLED", "MODIFIED" ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.